PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"status": "Initializing",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:30:00Z"
}
Assistants
Create an assistant
Create an assistant. This is where you specify the underlying training model, which cloud provider you would like to deploy with, and more.
For guidance and examples, see Create an assistant
POST
/
assistants
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"status": "Initializing",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:30:00Z"
}
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/assistant/assistants" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"region":"us"
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.0"},
"status": "Initializing",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:30:00Z"
}
Body
application/json
The desired configuration to create an assistant.
The configuration needed to create an assistant.
Response
Create request successful.
Describes the configuration and status of a Pinecone Assistant.
Was this page helpful?